from __future__ import annotations
from enum import Enum

__NAMESPACE__ = "http://www.energistics.org/energyml/data/witsmlv2"


class EquipmentType(Enum):
    """
    Specifies the values for type of equipment.
    """
    BRIDGE_PLUG = "bridge plug"
    BULL_PLUG = "bull plug"
    CAPILLARY_TUBING = "capillary tubing"
    CASING_CROSSOVER = "casing crossover"
    CASING_HANGER = "casing hanger"
    CASING_HEAD = "casing head"
    CASING_LINER_EXPANDABLE = "casing liner-expandable"
    CASING_SHOE = "casing shoe"
    CASING_SPOOL = "casing spool"
    CASING_CASING_LINER = "casing/casing liner"
    CEMENT_BEHIND_CASING = "cement (behind casing)"
    CEMENT_BASKET = "cement basket"
    CEMENT_RETAINER = "cement retainer"
    CEMENT_SQUEEZE = "cement squeeze"
    CEMENT_STAGE_TOOL = "cement stage tool"
    CHEMICAL_INJECTION_MANDREL = "chemical injection mandrel"
    CHEMICAL_INJECTION_VALVE = "chemical injection valve"
    CORROSION_COUPON_CARRIER = "corrosion coupon carrier"
    DIP_TUBE = "dip tube"
    DOWNHOLE_CHOKE = "downhole choke"
    DOWNHOLE_SENSOR = "downhole sensor"
    ESP_ASSEMBLY = "ESP assembly"
    ESP_BOLT_ON_DISCHARGE = "ESP bolt on discharge"
    ESP_BOLT_ON_INTAKE = "ESP bolt on intake"
    ESP_BOLT_ON_MOTOR_BASE = "ESP bolt on motor base"
    ESP_BOLT_ON_MOTOR_HEAD = "ESP bolt on motor head"
    ESP_CABLE = "ESP cable"
    ESP_GAS_HANDLER = "ESP gas handler"
    ESP_GAS_SEPARATOR = "ESP gas separator"
    ESP_LOWER_PIGTAIL = "ESP lower pigtail"
    ESP_MOTOR = "ESP motor"
    ESP_MOTOR_BASE_CENTRALIZER = "ESP motor base centralizer"
    ESP_MOTOR_FLAT_CABLE = "ESP motor flat cable"
    ESP_MOTOR_SHROUD = "ESP motor shroud"
    ESP_PROMOTOR = "ESP promotor"
    ESP_PUMP = "ESP pump"
    ESP_PUMP_DISCHARGE_SENSOR_SUB = "ESP pump discharge sensor sub"
    ESP_SEAL = "ESP seal"
    EXPANSION_JOINT = "expansion joint"
    EXTERNAL_CEMENTING_PORT = "external cementing port"
    FILL = "fill"
    FISH = "fish"
    FLOAT_COLLAR = "float collar"
    FLOAT_SHOE_GUIDE_SHOE = "float shoe/guide shoe"
    GAS_ANCHOR = "gas anchor"
    GAS_LIFT_MANDREL = "gas lift mandrel"
    GAS_LIFT_VALVE = "gas lift valve"
    GRAVEL_PACK_SCREEN = "gravel pack screen"
    HYDRAULIC_PUMP = "hydraulic pump"
    INJECTION_MANDREL = "injection mandrel"
    INJECTION_VALVE = "injection valve"
    JUNK_IN_WELLBORE = "junk in wellbore"
    LANDING_COLLAR = "landing collar"
    LINER_ENTRY_GUIDE = "liner entry guide"
    LINER_HANGER = "liner hanger"
    MULE_SHOE = "mule shoe"
    NOTCHED_COLLAR = "notched collar"
    ON_OFF_TOOL = "on-off tool"
    OVERSHOT = "overshot"
    PACKER = "packer"
    PACKER_PLUG = "packer plug"
    PACKER_MULTIPLE_STRINGS = "packer-multiple strings"
    PACKOFF_TUBING = "packoff (tubing)"
    PCP_FLEX_SHAFT_INTAKE = "pcp-flex shaft intake"
    PCP_GEAR_REDUCER_SUBSURFACE = "pcp-gear reducer (subsurface)"
    PCP_NO_TURN_TOOL_TORQUE_ANCHOR = "pcp-no turn tool/torque anchor"
    PCP_ROTOR = "pcp-rotor"
    PCP_STATOR = "pcp-stator"
    PCP_TAG_BAR = "pcp-tag bar"
    PLUG_CEMENT = "plug - cement"
    PLUG_MUD = "plug - mud"
    PLUNGER_LIFT_BALL = "plunger lift ball"
    PLUNGER_LIFT_BOTTOM_HOLE_BUMPER_ASSEMBLY = "plunger lift bottom hole bumper assembly"
    PLUNGER_LIFT_BUMPER_SPRING = "plunger lift bumper spring"
    PLUNGER_LIFT_COLLAR_STOP = "plunger lift collar stop"
    PLUNGER_LIFT_PLUNGER = "plunger lift plunger"
    POLISHED_ROD = "polished rod"
    POLISHED_ROD_LINER = "polished rod liner"
    PORTED_COLLAR = "ported collar"
    PROFILE_NIPPLE = "profile nipple"
    PROFILE_NIPPLE_PLUG = "profile nipple plug"
    PUMP_OUT_PLUG = "pump-out plug"
    SAND_SCREEN_TUBING = "sand screen-tubing"
    SAND_SEPARATOR = "sand separator"
    SCREEN_LINER_INSERT = "screen liner/insert"
    SEAL_ASSEMBLY = "seal assembly"
    SEAL_BORE_EXTENSION = "seal bore extension"
    SEAT_NIPPLE_SHOE = "seat nipple/shoe"
    SHEAR_TOOL = "shear tool"
    SLIDING_SLEEVE = "sliding sleeve"
    STEAM_CUP_MANDREL = "steam cup mandrel"
    STEAM_DEFLECTORS = "steam deflectors"
    STRAINER_NIPPLE = "strainer nipple"
    SUBSURFACE_SAFETY_VALVE = "subsurface safety valve"
    SUCKER_ROD = "sucker rod"
    SUCKER_ROD_BACKOFF_COUPLING = "sucker rod backoff coupling"
    SUCKER_ROD_PUMP_INSERT = "sucker rod pump-insert"
    SUCKER_ROD_PUMP_JACKET = "sucker rod pump-jacket"
    SUCKER_ROD_PUMP_TUBING_PUMP_BARREL = "sucker rod pump-tubing pump barrel"
    SUCKER_ROD_PUMP_TUBING_PUMP_PLUNGER = "sucker rod pump-tubing pump plunger"
    SUCKER_ROD_SUB = "sucker rod sub"
    SUCKER_ROD_CONTINUOUS = "sucker rod-continuous"
    SUCKER_ROD_RIBBON = "sucker rod-ribbon"
    SUCKER_ROD_SINKER_BAR = "sucker rod-sinker bar"
    TCP_GUN = "tcp gun"
    TUBING = "tubing"
    TUBING_COILED = "tubing (coiled)"
    TUBING_ANCHOR_CATCHER = "tubing anchor/catcher"
    TUBING_CROSSOVER = "tubing crossover"
    TUBING_DRAIN = "tubing drain"
    TUBING_HANGER = "tubing hanger"
    TUBING_HEAD_SPOOL = "tubing head (spool)"
    TUBING_PURGE_CHECK_VALVE = "tubing purge check valve"
    TUBING_SUB = "tubing sub"
    WELLBORE_NOTES = "wellbore notes"
    WHIPSTOCK = "whipstock"
    WIRELINE_RE_ENTRY_GUIDE_BELL_COLLAR = "wireline re-entry guide (bell collar)"
    Y_TOOL = "y-tool"
