from __future__ import annotations
from dataclasses import dataclass, field
from typing import List, Optional
from witsml21.abstract_event_extension import AbstractEventExtension
from witsml21.extension_name_value import ExtensionNameValue

__NAMESPACE__ = "http://www.energistics.org/energyml/data/witsmlv2"


@dataclass
class JobExtension(AbstractEventExtension):
    """
    Information on the job event.

    :ivar job_reason: Comment on the reason for the job
    :ivar job_status: Status of job
    :ivar primary_motivation_for_job: The primary reason for doing this
        job.
    :ivar extension_name_value: Extensions to the schema based on a
        name-value construct.
    """
    job_reason: Optional[str] = field(
        default=None,
        metadata={
            "name": "JobReason",
            "type": "Element",
            "namespace": "http://www.energistics.org/energyml/data/witsmlv2",
            "max_length": 2000,
        }
    )
    job_status: Optional[str] = field(
        default=None,
        metadata={
            "name": "JobStatus",
            "type": "Element",
            "namespace": "http://www.energistics.org/energyml/data/witsmlv2",
            "max_length": 64,
        }
    )
    primary_motivation_for_job: Optional[str] = field(
        default=None,
        metadata={
            "name": "PrimaryMotivationForJob",
            "type": "Element",
            "namespace": "http://www.energistics.org/energyml/data/witsmlv2",
            "max_length": 64,
        }
    )
    extension_name_value: List[ExtensionNameValue] = field(
        default_factory=list,
        metadata={
            "name": "ExtensionNameValue",
            "type": "Element",
            "namespace": "http://www.energistics.org/energyml/data/witsmlv2",
        }
    )
