from __future__ import annotations
from enum import Enum

__NAMESPACE__ = "http://www.energistics.org/energyml/data/witsmlv2"


class Ppfgfamily(Enum):
    """The Family Type of the PPFG quantity measured, for example 'pore
    pressure from corrected drilling exponent'.

    An individual quantity that belongs to a Main Family.
    """
    ACHIEVABLE_FRACTURE_GRADIENT = "achievable fracture gradient"
    BREAKOUT_WIDTH = "breakout width"
    CORRECTED_TEMPERATURE = "corrected temperature"
    EFFECTIVE_STRESS = "effective stress"
    EFFECTIVE_STRESS_GRADIENT = "effective stress gradient"
    FORMATION_TEMPERATURE = "formation temperature"
    FRACTURE_BREAKDOWN_GRADIENT = "fracture breakdown gradient"
    FRACTURE_BREAKDOWN_PRESSURE = "fracture breakdown pressure"
    FRACTURE_CLOSURE_GRADIENT = "fracture closure gradient"
    FRACTURE_CLOSURE_PRESSURE = "fracture closure pressure"
    FRACTURE_GRADIENT = "fracture gradient"
    FRACTURE_INITIATION_PRESSURE = "fracture initiation pressure"
    FRACTURE_INITIATION_PRESSURE_GRADIENT = "fracture initiation pressure gradient"
    FRACTURE_PRESSURE = "fracture pressure"
    FRACTURE_PROPAGATION_PRESSURE = "fracture propagation pressure"
    FRACTURE_PROPAGATION_PRESSURE_GRADIENT = "fracture propagation pressure gradient"
    FRICTION_ANGLE_FAILURE_CRITERIA = "friction angle (failure criteria)"
    INTERMEDIATE_PRINCIPLE_STRESS = "intermediate principle stress"
    INTERMEDIATE_PRINCIPLE_STRESS_GRADIENT = "intermediate principle stress gradient"
    LEAST_PRINCIPLE_STRESS = "least principle stress"
    LEAST_PRINCIPLE_STRESS_GRADIENT = "least principle stress gradient"
    MARGIN = "margin"
    MAX_HORIZONTAL_STRESS = "max horizontal stress"
    MAX_HORIZONTAL_STRESS_GRADIENT = "max horizontal stress gradient"
    MAXIMUM_HORIZONTAL_STRESS_AZIMUTH = "maximum horizontal stress azimuth"
    MAXIMUM_PRINCIPLE_STRESS = "maximum principle stress"
    MAXIMUM_PRINCIPLE_STRESS_GRADIENT = "maximum principle stress gradient"
    MEAN_EFFECTIVE_STRESS = "mean effective stress"
    MEAN_EFFECTIVE_STRESS_GRADIENT = "mean effective stress gradient"
    MEAN_STRESS = "mean stress"
    MEAN_STRESS_GRADIENT = "mean stress gradient"
    MEASURED_DEPTH = "measured depth"
    MEASURED_FORMATION_PRESSURE = "measured formation pressure"
    MEASURED_FORMATION_PRESSURE_GRADIENT = "measured formation pressure gradient"
    MINIMUM_HORIZONTAL_STRESS = "minimum horizontal stress"
    MINIMUM_HORIZONTAL_STRESS_GRADIENT = "minimum horizontal stress gradient"
    MODELED_FRACTURE_GRADIENT = "modeled fracture gradient"
    MPD_BACK_PRESSURE = "mpd back pressure"
    NORMAL_COMPACTION_TRENDLINE = "normal compaction trendline"
    NORMAL_COMPACTION_TRENDLINE_CORRECTED_DRILLING_EXPONENT = "normal compaction trendline - corrected drilling exponent"
    NORMAL_COMPACTION_TRENDLINE_DENSITY = "normal compaction trendline - density"
    NORMAL_COMPACTION_TRENDLINE_MECHANICAL_SPECIFIC_ENERGY = "normal compaction trendline - mechanical specific energy"
    NORMAL_COMPACTION_TRENDLINE_RESISTIVITY = "normal compaction trendline - resistivity"
    NORMAL_COMPACTION_TRENDLINE_SONIC = "normal compaction trendline - sonic"
    NORMAL_COMPACTION_TRENDLINE_TOTAL_POROSITY = "normal compaction trendline - total porosity"
    NORMAL_EFFECTIVE_STRESS = "normal effective stress"
    NORMAL_EFFECTIVE_STRESS_GRADIENT = "normal effective stress gradient"
    NORMAL_HYDROSTATIC_PRESSURE = "normal hydrostatic pressure"
    NORMAL_HYDROSTATIC_PRESSURE_GRADIENT = "normal hydrostatic pressure gradient"
    OVERBURDEN_GRADIENT = "overburden gradient"
    OVERBURDEN_PRESSURE = "overburden pressure"
    OVERPRESSURE = "overpressure"
    OVERPRESSURE_GRADIENT = "overpressure gradient"
    PORE_PRESSURE = "pore  pressure"
    PORE_PRESSURE_ESTIMATED_FROM_CONNECTION_GAS = "pore pressure estimated from connection gas"
    PORE_PRESSURE_ESTIMATED_FROM_DENSITY = "pore pressure estimated from density"
    PORE_PRESSURE_ESTIMATED_FROM_DRILL_GAS = "pore pressure estimated from drill gas"
    PORE_PRESSURE_ESTIMATED_FROM_DRILLING_PARAMETER = "pore pressure estimated from drilling parameter"
    PORE_PRESSURE_ESTIMATED_FROM_LOG = "pore pressure estimated from log"
    PORE_PRESSURE_ESTIMATED_FROM_RESISTIVITY = "pore pressure estimated from resistivity"
    PORE_PRESSURE_ESTIMATED_FROM_SEISMIC_VELOCITY = "pore pressure estimated from seismic velocity"
    PORE_PRESSURE_ESTIMATED_FROM_SONIC = "pore pressure estimated from sonic"
    PORE_PRESSURE_ESTIMATED_FROM_TOTAL_POROSITY = "pore pressure estimated from total porosity"
    PORE_PRESSURE_FROM_BASIN_MODEL = "pore pressure from basin model"
    PORE_PRESSURE_FROM_CORRECTED_DRILLING_EXPONENT = "pore pressure from corrected drilling exponent"
    PORE_PRESSURE_FROM_MECHANICAL_SPECIFIC_ENERGY = "pore pressure from mechanical specific energy"
    PORE_PRESSURE_GRADIENT = "pore pressure gradient"
    PORE_PRESSURE_GRADIENT_ESTIMATED_FROM_CONNECTION_GAS = "pore pressure gradient estimated from connection gas"
    PORE_PRESSURE_GRADIENT_ESTIMATED_FROM_DENSITY = "pore pressure gradient estimated from density"
    PORE_PRESSURE_GRADIENT_ESTIMATED_FROM_DRILL_GAS = "pore pressure gradient estimated from drill gas"
    PORE_PRESSURE_GRADIENT_ESTIMATED_FROM_DRILLING_PARAMETER = "pore pressure gradient estimated from drilling parameter"
    PORE_PRESSURE_GRADIENT_ESTIMATED_FROM_LOG = "pore pressure gradient estimated from log"
    PORE_PRESSURE_GRADIENT_ESTIMATED_FROM_RESISTIVITY = "pore pressure gradient estimated from resistivity"
    PORE_PRESSURE_GRADIENT_ESTIMATED_FROM_SEISMIC_VELOCITY = "pore pressure gradient estimated from seismic velocity"
    PORE_PRESSURE_GRADIENT_ESTIMATED_FROM_SONIC = "pore pressure gradient estimated from sonic"
    PORE_PRESSURE_GRADIENT_ESTIMATED_FROM_TOTAL_POROSITY = "pore pressure gradient estimated from total porosity"
    PORE_PRESSURE_GRADIENT_FROM_BASIN_MODEL = "pore pressure gradient from basin model"
    PORE_PRESSURE_GRADIENT_FROM_CORRECTED_DRILLING_EXPONENT = "pore pressure gradient from corrected drilling exponent"
    PORE_PRESSURE_GRADIENT_FROM_MECHANICAL_SPECIFIC_ENERGY = "pore pressure gradient from mechanical specific energy"
    PORE_FRAC_WINDOW = "pore-frac window"
    SAFE_DRILLING_MARGIN = "safe drilling margin"
    SEDIMENTATION_RATE = "sedimentation rate"
    SHEAR_FAILURE_PRESSURE_COLLAPSE_PRESSURE = "shear failure pressure (collapse pressure)"
    SHEAR_FAILURE_PRESSURE_GRADIENT_COLLAPSE_PRESSURE_GRADIENT = "shear failure pressure gradient (collapse pressure gradient)"
    STRENGTHENED_FRACTURE_GRADIENT = "strengthened fracture gradient"
    STRUCTURALLY_ADJUSTED_PORE_PRESSURE = "structurally adjusted pore pressure"
    STRUCTURALLY_ADJUSTED_PORE_PRESSURE_GRADIENT = "structurally adjusted pore pressure gradient"
    SUBNORMAL_PRESSURE = "subnormal pressure"
    TEMPERATURE_ANNULAR = "temperature annular"
    TEMPERATURE_BHA = "temperature bha"
    TRUE_VERTICAL_DEPTH = "true vertical depth"
    TWO_WAY_TIME = "two way time"
    UNCONFINED_COMPRESSIVE_STRENGTH = "unconfined compressive strength"
    VERTICAL_EFFECTIVE_STRESS = "vertical effective stress"
    VERTICAL_EFFECTIVE_STRESS_GRADIENT = "vertical effective stress gradient"
    VERTICAL_STRESS = "vertical stress"
    VERTICAL_STRESS_GRADIENT = "vertical stress gradient"
